zenilib: zenilib/jni/external/freetype2/include/freetype/internal/services/svpscmap.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Functions
svpscmap.h File Reference
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Classes

struct | PS_UnicodesRec_
struct | PS_UniMap_

## Macros

#define | FT_DEFINE_SERVICE_PSCMAPSREC(class_,unicode_value_,unicodes_init_,unicodes_char_index_,unicodes_char_next_,macintosh_name_,adobe_std_strings_,adobe_std_encoding_,adobe_expert_encoding_)
#define | FT_SERVICE_ID_POSTSCRIPT_CMAPS "postscript-cmaps"

## Typedefs

typedef const char *(* | PS_Adobe_Std_StringsFunc )(FT_UInt string_index)
typedef void(* | PS_FreeGlyphNameFunc )(FT_Pointer data, const char *name)
typedef const char *(* | PS_GetGlyphNameFunc )(FT_Pointer data, FT_UInt string_index)
typedef const char *(* | PS_Macintosh_NameFunc )(FT_UInt name_index)
typedef FT_UInt32(* | PS_Unicode_ValueFunc )(const char *glyph_name)
typedef struct PS_UnicodesRec_ * | PS_Unicodes
typedef FT_UInt(* | PS_Unicodes_CharIndexFunc )(PS_Unicodes unicodes, FT_UInt32 unicode)
typedef FT_UInt32(* | PS_Unicodes_CharNextFunc )(PS_Unicodes unicodes, FT_UInt32 *unicode)
typedef FT_Error(* | PS_Unicodes_InitFunc )(FT_Memory memory, PS_Unicodes unicodes, FT_UInt num_glyphs, PS_GetGlyphNameFunc get_glyph_name, PS_FreeGlyphNameFunc free_glyph_name, FT_Pointer glyph_data)
typedef struct PS_UnicodesRec_ | PS_UnicodesRec
typedef struct PS_UniMap_ | PS_UniMap

## Functions

| FT_DEFINE_SERVICE (PsCMaps)

## Macro Definition Documentation

#define FT_DEFINE_SERVICE_PSCMAPSREC | ( |  | class_,
|  |  | unicode_value_,
|  |  | unicodes_init_,
|  |  | unicodes_char_index_,
|  |  | unicodes_char_next_,
|  |  | macintosh_name_,
|  |  | adobe_std_strings_,
|  |  | adobe_std_encoding_,
|  |  | adobe_expert_encoding_
| ) |  |

Value:
static const FT_Service_PsCMapsRec class_ = \
{ \
unicode_value_, unicodes_init_, \
unicodes_char_index_, unicodes_char_next_, macintosh_name_, \
adobe_std_strings_, adobe_std_encoding_, adobe_expert_encoding_ \
};

Definition at line 123 of file svpscmap.h.

#define FT_SERVICE_ID_POSTSCRIPT_CMAPS "postscript-cmaps"

Definition at line 28 of file svpscmap.h.

## Typedef Documentation

typedef const char*(* PS_Adobe_Std_StringsFunc)(FT_UInt string_index)

Definition at line 47 of file svpscmap.h.

typedef void(* PS_FreeGlyphNameFunc)(FT_Pointer data, const char *name)

Definition at line 86 of file svpscmap.h.

typedef const char*(* PS_GetGlyphNameFunc)(FT_Pointer data, FT_UInt string_index)

Definition at line 78 of file svpscmap.h.

typedef const char*(* PS_Macintosh_NameFunc)(FT_UInt name_index)

Definition at line 41 of file svpscmap.h.

typedef FT_UInt32(* PS_Unicode_ValueFunc)(const char *glyph_name)

Definition at line 35 of file svpscmap.h.

typedef struct PS_UnicodesRec_* PS_Unicodes

Definition at line 62 of file svpscmap.h.

typedef FT_UInt(* PS_Unicodes_CharIndexFunc)(PS_Unicodes unicodes, FT_UInt32 unicode)

Definition at line 98 of file svpscmap.h.

typedef FT_UInt32(* PS_Unicodes_CharNextFunc)(PS_Unicodes unicodes, FT_UInt32 *unicode)

Definition at line 102 of file svpscmap.h.

typedef FT_Error(* PS_Unicodes_InitFunc)(FT_Memory memory, PS_Unicodes unicodes, FT_UInt num_glyphs, PS_GetGlyphNameFunc get_glyph_name, PS_FreeGlyphNameFunc free_glyph_name, FT_Pointer glyph_data)

Definition at line 90 of file svpscmap.h.

typedef struct PS_UnicodesRec_ PS_UnicodesRec

typedef struct PS_UniMap_ PS_UniMap

## Function Documentation

FT_DEFINE_SERVICE | ( | PsCMaps |  | ) |

Definition at line 106 of file svpscmap.h.